Bug 449012 - audacity does not play sound
audacity does not play sound
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 17:23 EDT by Nadav Kavalerchik
Modified: 2008-11-26 06:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 06:27:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nadav Kavalerchik 2008-05-29 17:23:23 EDT
Description of problem:
i start Audacity and it does not play sound :-(
i get these errors from PulseAudio 0.9.8-5

I: socket-server.c: TCP connection accepted by tcpwrap.
I: client.c: Created 315 "Native client (TCP/IP client from 192.168.1.110:58071)"
I: client.c: Client 315 changed name from "Native client (TCP/IP client from
192.168.1.110:58071)" to "ALSA plug-in [audacity]"
I: client.c: Freed 315 "ALSA plug-in [audacity]"
I: protocol-native.c: connection died.

and these errors from Audacity 1.3.2-beta

JACK tmpdir identified as [/dev/shm]
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'PaAlsaStreamComponent_InitialConfigure( &self->capture, inParams, se
lf->primeBuffers, hwParamsCapture, &realSr )' failed in 'src/hostapi/alsa/pa_lin
ux_alsa.c', line: 1665
Expression 'PaAlsaStream_Configure( stream, inputParameters, outputParameters, s
ampleRate, framesPerBuffer, &inputLatency, &outputLatency, &hostBufferSizeMode )
' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1789
Expression 'PaAlsaStreamComponent_InitialConfigure( &self->capture, inParams, se
lf->primeBuffers, hwParamsCapture, &realSr )' failed in 'src/hostapi/alsa/pa_lin
ux_alsa.c', line: 1665
Expression 'PaAlsaStream_Configure( stream, inputParameters, outputParameters, s
ampleRate, framesPerBuffer, &inputLatency, &outputLatency, &hostBufferSizeMode )
' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1789
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
.
.
.
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'PaAlsaStreamComponent_InitialConfigure( &self->playback, outParams,
self->primeBuffers, hwParamsPlayback, &realSr )' failed in 'src/hostapi/alsa/pa_
linux_alsa.c', line: 1668
Expression 'PaAlsaStream_Configure( stream, inputParameters, outputParameters, s
ampleRate, framesPerBuffer, &inputLatency, &outputLatency, &hostBufferSizeMode )
' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1789
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
.
.
.
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 935



when i shutdown pulseaudio audacity works just fine :-)

i read the following threads
http://www.pulseaudio.org/wiki/PerfectSetup
http://forums.fedoraforum.org/showthread.php?t=177587

i was upgrading the system from fc6 to fc8 and PA did not work at the 
beginning, but after reading :
http://forums.fedoraforum.org/showthread.php?t=177587
and fixing the PA and ALSA config files i got sound back :-)

Flash inside Firefox plays fine :-)
KMplayer plays fine :-)
kdenlive (with SDL when export SDL_AUDIODRIVER=pulse ) plays fine :-)

hydrogen loads with no errors but no sound is heard (and no errors in the debug
log, all looks fine)

xine applications hang with no sound. (like kaffeine and mplayer+xine-output)

mscore (Muse Score) does not play
here is the errors:
Alsa_driver: the interface doesn't support mmap-based access.
init ALSA audio driver failed
init ALSA driver failed
no audio driver


Version-Release number of selected component (if applicable):
PulseAudio 0.9.8-5
Audacity 1.3.2-beta

How reproducible:
play any sound file using audacity and use any of the ALSA devices on the
playback list you have in the edit-->preferences menu.

Steps to Reproduce:
1.load file into audacity
2.play it
3.
  
Actual results:
does not play sound
(when PA server is down, it plays)

Expected results:
should play in PulseAudio

Additional info:
Comment 1 Nadav Kavalerchik 2008-05-31 11:13:22 EDT
compiling PulseAudio server 0.9.10 from sources did not solve this issue.
(although i got some other improvements from upgrading, but this is besides the
point :-)

i opened a bug report upstream :
http://www.pulseaudio.org/ticket/301

and requested support for PortAudio be added to PulseAudio.
http://www.pulseaudio.org/ticket/300
Comment 2 Michael Schwendt 2008-09-15 08:53:36 EDT
Please retry with the newer Audacity from the updates-testing repo.

https://admin.fedoraproject.org/updates/search/audacity
Comment 3 Bob Tennent 2008-10-06 18:05:19 EDT
I rebuilt an audacity-1.3.2 rpm using --with-portaudio=v19 --without-portmixer, as suggested in the audacity wiki to enable native ALSA support.  This produces sound.

Bob T.
Comment 4 Michael Schwendt 2008-10-07 03:23:42 EDT
PortAudio v19 is the default. The wiki instructions you refer to
are for Audacity 1.2.x, where PortAudio v19 was experimental.

Please rebuild with upstream defaults and retest.

One thing you could also try is building with JACK support to
see whether that damages anything.
Comment 5 Bob Tennent 2008-10-07 11:08:53 EDT
I rebuilt audacity-1.3.2 adding just --with-mp3 --with-libmad=system.  I got sound output from audacity but only when running as root.  Running sudo audacity produced
an error box complaining about needing a temporary directory. After I created that
directory, audacity produced sound even as a non-root user.  I don't understand what this means.

   "try building with JACK support"  

How do I do that?  It's not a configure option. The LIBS variable has -ljack.
If I do sudo jackd -d alsa before starting audacity, I get the error message
"Error while opening sound device ..." when I try to play something.
Comment 6 Michael Schwendt 2008-10-07 13:03:04 EDT
> I rebuilt audacity-1.3.2 adding just --with-mp3 --with-libmad=system

Such an rpm is provided at rpmfusion.org (or livna.org) and 
contains both 1.3.2-beta and 1.3.5-beta in the same package.
It's called audacity-nonfree.

Enabling the mp3 decoder doesn't have any influence on
PortAudio v19 I/O.

JACK support is built in if you install "jack-audio-connection-kit-devel".
The upstream developers think about disabling it in the future,
as it doesn't get any/enough testing.

I'd just like to find out what exactly you think you changed
to fix anything. There is no special support for PulseAudio in
Audacity.
Comment 7 Bob Tennent 2008-10-07 14:32:04 EDT
I've had jack-audio-connection-kit-devel installed all along.  But if jackd -d alsa 
is running, audacity produces "Error while opening sound device ... " if I try to play anything. 

Running audacity using sudo seems to be problematic because it gets confused about whether the temporary directory it needs is owned by root or the original user.

  "I'd just like to find out what exactly you think you changed
   to fix anything."

AFAIK it's by running audacity as root!  Before that, I didn't get an error message but I didn't get sound either.  I can't recall doing anything else that might be relevant. When I get home, I'll experiment on a box that doesn't yet have audacity installed and see if I can duplicate this behavior.
Comment 8 Bob Tennent 2008-10-08 10:38:06 EDT
  "I'll experiment on a box that doesn't yet
   have audacity installed and see if I can duplicate this behavior."

I did.  I couldn't. Audacity produced sound immediately (running as a user).  I can't explain why I initially got no sound on another system.

Bob T.
Comment 9 Bug Zapper 2008-11-26 05:47:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Michael Schwendt 2008-11-26 06:27:36 EST
It makes no sense to continue with this ticket.
For issues like this reproducibility is the key.

Note You need to log in before you can comment on or make changes to this bug.